Page MenuHomePhabricator

MassMessage: allow editing a spam list's description via the api
Closed, ResolvedPublic

Description

When editing a mass message list on-wiki, the user can set a description. See, eg, https://en.wikipedia.org/wiki/Special:EditMassMessageList/User:DannyS712/MMS_testing

Currently, the api only allows for pages to be added or removed from the list. It should also allow the description to be changed.

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 30 2019, 11:10 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 519799 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MassMessage@master] Allow editing spamlist descriptions using the API

https://gerrit.wikimedia.org/r/519799

DannyS712 moved this task from Unsorted to In progress on the User-DannyS712 board.

Would Core Platform Team be willing to review the patch? MassMessage is used on the WMF cluster

WDoranWMF added a subscriber: WDoranWMF.EditedAug 28 2019, 2:52 AM

hey @DannyS712, what's the priority for this? We're a little behind on external code reviews at the moment but trying to catch up.

hey @DannyS712, what's the priority for this? We're a little behind on external code reviews at the moment but trying to catch up.

Its a nice feature to have, but not too urgent. Its blocking allowing Twinkle to interact properly with mass message lists (see https://github.com/azatoth/twinkle/issues/680). I added multiple tests, so hopefully code review shouldn't take too long

WDoranWMF triaged this task as Medium priority.Aug 28 2019, 3:10 AM

Ok cool, you can see our backlog on CPT Clinic Duty External Code Reviews. I'll put it as Normal for now which likely means next week. If the priority jumps up or that doesn't work let me know and I can do my best to reprioritise.

DannyS712 added a comment.EditedAug 28 2019, 3:11 AM

Ok cool, you can see our backlog on CPT Clinic Duty External Code Reviews. I'll put it as Normal for now which likely means next week. If the priority jumps up or that doesn't work let me know and I can do my best to reprioritise.

Thanks, that's no problem. I know that I already have 4 other tasks in the external code review column, so no pressure.

Ah apologies, it ended up in the wrong column, I'll move it over.

Ah apologies, it ended up in the wrong column, I'll move it over.

@DannyS712 my apologies, I think this was my mistake. CPT is not actually the owner of MassMessage, according to the Maintainers List, it's actually Editing-team, I'm tagging them here. If this is incorrect we can also take a look.

@ Editing-team just want to make sure this is on your radar. The patch has been pending for a month now. Core platform team has a dedicated column for tracking external code reviews needed - is there something specific I need to do with this task for editing team to review?

SD0001 added a subscriber: SD0001.Nov 5 2019, 10:45 AM

@DannyS712 my apologies, I think this was my mistake. CPT is not actually the owner of MassMessage, according to the Maintainers List, it's actually Editing-team, I'm tagging them here. If this is incorrect we can also take a look.

Would you be willing to take a look, given the lack of response from Editing-team?

DannyS712 updated the task description. (Show Details)Apr 24 2020, 7:00 AM
DannyS712 updated the task description. (Show Details)

Change 519799 merged by jenkins-bot:
[mediawiki/extensions/MassMessage@master] Allow editing spamlist descriptions using the API

https://gerrit.wikimedia.org/r/519799

DannyS712 closed this task as Resolved.Jun 6 2020, 6:06 AM

Confirmed to work on the beta cluster